package io.hmit.modules.activiti.dao;

import io.hmit.common.dao.BaseDao;
import io.hmit.modules.activiti.entity.HistoryDetailEntity;
import io.hmit.modules.activiti.entity.ProcessActivityEntity;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.context.annotation.Primary;

import java.util.List;
import java.util.Map;

/**
 * @author Jone
 */
@Mapper
@Primary
public interface ProcessActivityDao extends BaseDao<ProcessActivityEntity> {

    List<ProcessActivityEntity> getMyProcessInstancePage(Map<String, Object> params);

    List<HistoryDetailEntity> getTaskHandleDetailInfo(String processInstanceId);
}
