package io.hmit.modules.activiti.service;

import io.hmit.common.page.PageData;
import io.hmit.common.service.BaseService;
import io.hmit.modules.activiti.dto.HistoryDetailDTO;
import io.hmit.modules.activiti.dto.ProcessActivityDTO;
import io.hmit.modules.activiti.entity.ProcessActivityEntity;

import java.util.List;
import java.util.Map;

/**
 * 流程自定义查询
 *
 * @author Jone
 */
public interface ActivitiService extends BaseService<ProcessActivityEntity> {

    PageData<ProcessActivityDTO> getMyProcessInstancePage(Map<String, Object> params);

    List<HistoryDetailDTO> getTaskHandleDetailInfo(String processInstanceId);
}
