package io.hmit.modules.fhjw.dao;

import io.hmit.common.dao.BaseDao;
import io.hmit.modules.fhjw.entity.UserRoleEntity;
import org.apache.ibatis.annotations.Mapper;

/**
 * 用户权限对应表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-03
 */
@Mapper
public interface UserRoleDao extends BaseDao<UserRoleEntity> {
    /**
     * 根据用户id，删除角色用户关系
     *
     * @param userId 用户id
     */
    void deleteByUserId(Long userId);

}
