package io.hmit.modules.fhjw.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 案件统计
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-22
 */
@Data
@ApiModel(value = "案件统计")
public class FhjwCountDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "部门ID")
	private Long deptId;

	@ApiModelProperty(value = "部门名称")
	private String deptName;

	@ApiModelProperty(value = "部门案件总数")
	private Integer deptCount;

}
