package io.hmit.modules.fhjw.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author Eve
 * @email mengmengeve@gmail.com
 * @create 2021/6/7
 */
@Data
@ApiModel(value = "评价的问题列表")
public class QuestionListDTO {

    @ApiModelProperty(value = "问题ID")
    private Long questionId;

    @ApiModelProperty(value = "问题")
    private String questionName;

    @ApiModelProperty(value = "问题列表")
    private List<AnswerListDTO> answerList;

    @ApiModelProperty(value = "所选答案")
    private String answer;

    @ApiModelProperty(value = "答案ID")
    private Long answerId;



}
