package io.hmit.modules.fhjw.dto;

import com.baomidou.mybatisplus.extension.api.R;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 用户
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-03
 */
@Data
@ApiModel(value = "用户")
public class UserDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "id")
	private Long id;

	@ApiModelProperty(value = "用户名")
	private String username;

	@ApiModelProperty(value = "手机号")
	private String mobile;

	@ApiModelProperty(value = "密码")
	private String password;

	@ApiModelProperty(value = "身份证号")
	private String userIdno;

	@ApiModelProperty(value = "身份")
	private String identity;

	@ApiModelProperty(value = "性别")
	private Integer gender;

	@ApiModelProperty(value = "案件ID")
	private Long caseId;

	@ApiModelProperty(value = "权限ID")
	private Long userRoleId;

	@ApiModelProperty(value = "案件名")
	private String caseName;

	@ApiModelProperty(value = "用户权限")
	private String userRole;

	@ApiModelProperty(value = "创建时间")
	private Date createDate;


}
