package io.hmit.modules.fhjw.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.hmit.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 评价模块
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-22
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("fhiw_function")
public class FhiwFunctionEntity extends BaseEntity {
	private static final long serialVersionUID = 1L;

    /**
     * 评价模块名字
     */
	private String name;
    /**
     * 更新者
     */
	private Long updater;
    /**
     * 更新时间
     */
	private Date updateDate;
}