package io.hmit.modules.fhjw.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.hmit.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 问题答案表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-02
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("fhjw_answer")
public class FhjwAnswerEntity extends BaseEntity {
	private static final long serialVersionUID = 1L;

    /**
     * 问题ID
     */
	private Long questionId;
    /**
     * 可选答案
     */
	private String answer;
}