package io.hmit.modules.fhjw.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.hmit.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 用户权限对应表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-03
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("tb_user_role")
public class UserRoleEntity extends BaseEntity {
	private static final long serialVersionUID = 1L;

    /**
     * 角色ID
     */
	private Long roleId;
    /**
     * 用户ID
     */
	private Long userId;
}