package io.hmit.modules.job.task;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

/**
 * 测试定时任务(演示Demo，可删除)
 * <p>
 * testTask为spring bean的名称
 *
 * @author zsh 408538940@qq.com
 */
@Component("testTask")
public class TestTask implements ITask {

    private Logger logger = LoggerFactory.getLogger(getClass());

    @Override
    public void run(String params) {

        logger.debug("TestTask定时任务正在执行，参数为：{}", params);
    }
}