package io.hmit.modules.log.enums;

/**
 * 操作状态枚举
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0
 */
public enum OperationStatusEnum {

    /**
     * 失败
     */
    FAIL(0),
    /**
     * 成功
     */
    SUCCESS(1);

    private int value;

    OperationStatusEnum(int value) {
        this.value = value;
    }

    public int value() {
        return this.value;
    }
}