package io.hmit.modules.fhjw.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
 * 案件评价表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-02
 */
@Data
@ApiModel(value = "案件评价表")
public class FhjwCommentDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "id")
	private Long id;

	@ApiModelProperty(value = "创建时间")
	private Date createDate;

	@ApiModelProperty(value = "用户ID")
	private Long userId;

	@ApiModelProperty(value = "用户所属权限ID")
	private Long roleId;

	@ApiModelProperty(value = "模板ID")
	private Long tempId;

	@ApiModelProperty(value = "问题ID")
	private Long questionId;

	@ApiModelProperty(value = "答案ID")
	private Long answerId;

	@ApiModelProperty(value = "答案ID")
	private Long caseId;

	@ApiModelProperty(value = "答案ID")
	private String caseNum;

	@ApiModelProperty(value = "问题答案列表")
	private List<AnswerListDTO> questionAnswerList;

}
