package io.hmit.modules.fhjw.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.hmit.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 用户评价权限功能
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-22
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("fhjw_role_function")
public class FhjwRoleFunctionEntity extends BaseEntity {
	private static final long serialVersionUID = 1L;
	/**
	 * 角色id
	 */
	private Long roleId;
    /**
     * 评价功能id
     */
	private Long functionId;
    /**
     * 更新者
     */
	private Long updater;
    /**
     * 更新时间
     */
	private Date updateDate;
}
