package io.hmit.modules.fhjw.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.hmit.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 用户权限
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-03
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("tb_role")
public class RoleEntity extends BaseEntity {
	private static final long serialVersionUID = 1L;

    /**
     * 角色名称
     */
	private String name;
    /**
     * 问卷模版ID
     */
	private Long tempId;
    /**
     * 更新者
     */
	private Long updater;
    /**
     * 更新时间
     */
	private Date updateDate;
    /**
     * 备注
     */
	private String remark;
    /**
     * 问卷名称
     */
    @TableField(exist = false)
	private String tempName;
    /**
     * 评价模版名称
     */
    @TableField(exist = false)
	private String funcName;
}
