package io.hmit.modules.fhjw.excel;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * 案件表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-02
 */
@Data
public class FhjwCaseExcel {
    @Excel(name = "主键id")
    private Long id;
    @Excel(name = "受案号")
    private String caseNum;
    @Excel(name = "案件名称")
    private String caseName;
    @Excel(name = "办理期限")
    private String deadline;
    @Excel(name = "受理日期")
    private Date acceptanceDate;
    @Excel(name = "审结日期")
    private Date completeDate;
    @Excel(name = "强制措施")
    private String coerciveMeasures;
    @Excel(name = "案件比")
    private String caseQuality;
    @Excel(name = "案件详情")
    private String caseDetail;
    @Excel(name = "创建者")
    private Long creator;
    @Excel(name = "创建时间")
    private Date createDate;

}