package io.hmit.modules.fhjw.excel;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * 人员反馈表，包含意见反馈，控告申诉，代表委员有话说
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-02
 */
@Data
public class FhjwFeedbackExcel {
    @Excel(name = "id")
    private Long id;
    @Excel(name = "用户ID")
    private Long userId;
    @Excel(name = "反馈类型;1,反馈意见;2,控告申诉;3,代表委员有话说")
    private String feedbackType;
    @Excel(name = "意见类别")
    private String optionStatus;
    @Excel(name = "意见、申诉内容")
    private String content;
    @Excel(name = "创建时间")
    private Date createDate;

}