package io.hmit.modules.security.service;

import java.awt.image.BufferedImage;

/**
 * 验证码
 *
 * @author zsh 408538940@qq.com
 */
public interface CaptchaService {

    /**
     * 图片验证码
     */
    BufferedImage create(String uuid);

    /**
     * 验证码校验
     *
     * @param uuid uuid
     * @param code 验证码
     * @return true：成功  false：失败
     */
    boolean validate(String uuid, String code);
}
