package io.hmit.modules.fhjw.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
 * 问卷问题表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-02
 */
@Data
@ApiModel(value = "问卷问题表")
public class FhjwQuestionDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键id")
	private Long id;

	@ApiModelProperty(value = "创建者")
	private Long creator;

	@ApiModelProperty(value = "创建时间")
	private Date createDate;

	@ApiModelProperty(value = "问卷模版ID")
	private Long tempId;

	@ApiModelProperty(value = "问题描述")
	private String question;

	@ApiModelProperty(value = "答案描述")
	private String answer;

	@ApiModelProperty(value = "答案列表")
	private List<FhjwAnswerDTO> answerList;


}
