package io.hmit.modules.fhjw.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.hmit.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 案件评价表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-02
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("fhjw_comment")
public class FhjwCommentEntity extends BaseEntity {
	private static final long serialVersionUID = 1L;

    /**
     * 用户ID
     */
	private Long userId;
    /**
     * 模板ID
     */
	private Long tempId;
    /**
     * 问题ID
     */
	private Long questionId;
    /**
     * 答案ID
     */
	private Long answerId;
    /**
     * 案件ID
     */
	private Long caseId;
	/**
	 * 用户所属权限ID
	 */
	private Long roleId;

}
