package io.hmit.modules.fhjw.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.hmit.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 用户案件对应
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-16
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("tb_user_case")
public class UserCaseEntity extends BaseEntity {
	private static final long serialVersionUID = 1L;

    /**
     * 用户ID
     */
	private Long userId;
    /**
     * 案件ID
     */
	private Long caseId;
}
