package io.hmit.modules.user.service;

import io.hmit.common.service.CrudService;
import io.hmit.modules.user.dto.RoleDTO;
import io.hmit.modules.user.entity.RoleEntity;

import java.util.List;
import java.util.Map;

/**
 * 用户权限
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-01
 */
public interface RoleService extends CrudService<RoleEntity, RoleDTO> {

    List<RoleDTO> getAllRoleList();

    RoleDTO getRoleByName(String name);

}
