package io.hmit.modules.user.service;

import io.hmit.common.service.CrudService;
import io.hmit.modules.user.dto.RoleDTO;
import io.hmit.modules.user.dto.UserRoleDTO;
import io.hmit.modules.user.entity.UserRoleEntity;

/**
 * 用户权限对应表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-01
 */
public interface UserRoleService extends CrudService<UserRoleEntity, UserRoleDTO> {

    UserRoleDTO getRoleByUser (Long userID);

    /**
     * 根据RoleID 和 UserId 查询
     * @param roleId
     * @param userId
     * @return
     */
    UserRoleDTO getByRoleAUser(Long roleId, Long userId);

}
